List workspace investigations (canvas data excluded)
curl --request GET \
--url https://api.range.org/v2/investigations \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/investigations"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/investigations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v2/investigations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v2/investigations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v2/investigations")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v2/investigations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"workspace_id": "workspace-123",
"title": "Peel chain from Binance hot wallet",
"status": "open",
"created_at": "2026-07-09T00:00:00.000Z",
"updated_at": "2026-07-09T00:00:00.000Z",
"subject_type": "address",
"subject_address": "0xabc...",
"subject_network": "eth",
"subject_tx_hash": "0xdef...",
"created_by": "analyst@range.org"
}
],
"total": 12
}Investigations
List investigations
Return matching workspace investigations and their total count, without saved graph data.
GET
/
v2
/
investigations
List workspace investigations (canvas data excluded)
curl --request GET \
--url https://api.range.org/v2/investigations \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/investigations"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/investigations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v2/investigations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v2/investigations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v2/investigations")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v2/investigations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"workspace_id": "workspace-123",
"title": "Peel chain from Binance hot wallet",
"status": "open",
"created_at": "2026-07-09T00:00:00.000Z",
"updated_at": "2026-07-09T00:00:00.000Z",
"subject_type": "address",
"subject_address": "0xabc...",
"subject_network": "eth",
"subject_tx_hash": "0xdef...",
"created_by": "analyst@range.org"
}
],
"total": 12
}Use an investigation ID from
items with Get investigation details to retrieve its saved graph data.Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Query Parameters
Available options:
open, archived Maximum string length:
256Example:
"0xabc..."
Maximum string length:
256Example:
"eth"
Required range:
1 <= x <= 100Required range:
x >= 0Last modified on November 10, 2026
Was this page helpful?